# -*- coding: utf-8 -*-
import unittest
from skoolkittest import SkoolKitTestCase

USAGE = """Usage: bin2tap.py [options] FILE.bin

  Convert a binary snapshot file into a TAP file.

Options:
  -o ORG      Set the origin (default: 65536 - length of FILE.bin)
  -s START    Set the start address to JP to (default: ORG)
  -p STACK    Set the stack pointer (default: ORG)
  -t TAPFILE  Set the TAP filename (default: FILE.tap)"""

class Bin2TapTest(SkoolKitTestCase):
    def test_no_arguments(self):
        output, error = self.run_bin2tap(err_lines=True)
        self.assert_output_equal(error, USAGE.split('\n'), False)

if __name__ == '__main__':
    unittest.main()
